<?php

namespace App\View\Components\Blesser\Element;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class BrandSlider extends Component
{
    public array $brands;
    /**
     * Create a new component instance.
     */
    public function __construct(array $brands)
    {
        $this->brands = $brands;
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.blesser.element.brand-slider');
    }
}
